Get all quick campaigns
get
/hcmRestApi/resources/11.13.18.05/communicateUIQuickCampaigns
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds quick campaigns based on the primary key.
Finder Variables- CampaignId; integer; Unique identifier for the campaign.
- findByEntityIdAndType Finds quick campaigns based on entity ID and type.
Finder Variables- pEntityId; integer; Entity ID used to filter quick campaigns.
- pEntityType; string; Entity type to filter the quick campaigns.
- findByEntityType Finds quick campaigns based on the specified entity type.
Finder Variables- pEntityType; string; Entity type used to filter quick campaigns.
- findByPurposeCode Finds quick campaigns based on the specified purpose code.
Finder Variables- pPurposeCode; string; Purpose code used to filter quick campaigns.
- findQuickCampaignType Finds quick campaign types that match the specified criteria.
Finder Variables
- PrimaryKey Finds quick campaigns based on the primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AudienceCount; integer; Number of individuals in the audience for the quick campaign.
- CampaignCode; string; Unique identifier for the quick campaign.
- CampaignDurationCode; string; Duration code for the quick campaign. It specifies the time frame for the campaign.
- CampaignId; integer; Unique identifier for the quick campaign.
- CampaignName; string; Name of the quick campaign used for communication purposes.
- CampaignOwnersName; string; Name of the campaign owner associated with the quick campaign.
- CampaignStatusCode; string; Indicates the status of the campaign. Valid values are Draft, Active, and Completed. Default is Draft.
- CampaignTypeCode; string; Indicates the type of campaign for quick communication. This value determines the purpose or category of the campaign.
- CreatedBy; string; Identifies the user who created the quick campaign.
- CreationDate; string; Creation date of the quick campaign. This date indicates when the campaign was initially created in the application.
- PurposeCode; string; Purpose code for the quick campaign. This code defines the objective or intent of the campaign.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : communicateUIQuickCampaigns
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUIQuickCampaigns-item-response
Type:
Show Source
object-
assetDetails: array
Campaign Channel Details
Title:
Campaign Channel DetailsThe assetDetails resource provides details on how to create and update channels on the campaign. -
AudienceCount: integer
(int64)
Number of individuals in the audience for the quick campaign.
-
audienceDetails: array
Campaign Audience Details
Title:
Campaign Audience DetailsThe audienceDetails resource provides details on how to add and update the audience for a campaign. -
boAssociation: array
Campaign Business Object Association
Title:
Campaign Business Object AssociationThe boAssociation resource creates and updates a campaign. -
CampaignCode: string
Title:
Campaign NumberMaximum Length:30Unique identifier for the quick campaign. -
CampaignDescription: string
(byte)
Title:
Campaign DescriptionBrief summary of the quick campaign. This description outlines the purpose and key details of the campaign. -
CampaignDurationCode: string
Maximum Length:
30Duration code for the quick campaign. It specifies the time frame for the campaign. -
CampaignId: integer
(int64)
Unique identifier for the quick campaign.
-
CampaignName: string
Title:
Campaign NameMaximum Length:240Name of the quick campaign used for communication purposes. -
CampaignOwnersName: string
Read Only:
trueMaximum Length:255Name of the campaign owner associated with the quick campaign. -
CampaignStatusCode: string
Title:
StatusMaximum Length:30Indicates the status of the campaign. Valid values are Draft, Active, and Completed. Default is Draft. -
CampaignTypeCode: string
Maximum Length:
30Indicates the type of campaign for quick communication. This value determines the purpose or category of the campaign. -
CreatedBy: string
Read Only:
trueMaximum Length:64Identifies the user who created the quick campaign. -
CreationDate: string
(date-time)
Read Only:
trueCreation date of the quick campaign. This date indicates when the campaign was initially created in the application. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PurposeCode: string
Title:
Campaign PurposeMaximum Length:30Purpose code for the quick campaign. This code defines the objective or intent of the campaign.
Nested Schema : Campaign Channel Details
Type:
arrayTitle:
Campaign Channel DetailsThe assetDetails resource provides details on how to create and update channels on the campaign.
Show Source
Nested Schema : Campaign Audience Details
Type:
arrayTitle:
Campaign Audience DetailsThe audienceDetails resource provides details on how to add and update the audience for a campaign.
Show Source
Nested Schema : Campaign Business Object Association
Type:
arrayTitle:
Campaign Business Object AssociationThe boAssociation resource creates and updates a campaign.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUIQuickCampaigns-assetDetails-item-response
Type:
Show Source
object-
AssetFrequency: integer
(int32)
Attribute for the frequency with which the grow notification email is sent out.
-
AssetId: integer
(int64)
Internal identifier for the channel associated with a campaign.
-
AssetName: string
Title:
NameMaximum Length:240Channel name. -
AssetStatusCode: string
Maximum Length:
30Lookup code of the channel status. -
AssetStatusMeaning: string
Read Only:
trueMaximum Length:255Channel status. -
AssetTypeCode: string
Maximum Length:
30Channel type. -
CampaignId: integer
(int64)
Internal identifier for the campaign.
-
ContentLastModified: string
(date-time)
Read Only:
trueDate when the campaign content was last modified. -
CreatedBy: string
Read Only:
trueMaximum Length:64Person who created the channel. -
CreatedByDisplayName: string
Read Only:
trueMaximum Length:255Display name of the user who created the campaign asset. -
CreationDate: string
(date-time)
Read Only:
trueDate the channel was created. -
DesignMetadata: string
(byte)
Read Only:
trueDesign metadata for the campaign asset. This attribute contains detailed design information for the asset used in the campaign. -
FollowupDelay: integer
(int32)
Time between two specific communications.
-
Frequency: string
Maximum Length:
255Frequency with which the grow notification email is sent out. -
LastDeliveryDate: string
(date-time)
Title:
End DateChannel end date. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate the channel was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the channel. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the channel. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MessageDesignId: integer
(int64)
Internal identifier for the email design page.
-
MSTeamsText: string
(byte)
Title:
MessageText content for Microsoft Teams associated with the campaign asset. -
ObjectVersionNumber: integer
(int32)
Version number of the channel row that the user retrieved.
-
ParentAssetId: integer
(int64)
Internal identifier for the corresponding primary email or message.
-
PublishDestCode: string
Maximum Length:
32Lookup code for the destination where the application publishes the post. -
PublishDestMeaning: string
Read Only:
trueMaximum Length:255Destination where the application publishes the post. -
ScheduledDate: string
(date-time)
Title:
Delivery DateDate the channel was scheduled. -
SenderProfileConfigId: integer
Internal identifier for the sender profile used on the grow notification email.
-
SendImmediatelyFlag: boolean
Maximum Length:
1Indicates whether to send the campaign asset immediately. Valid values are Y and N. Default is N. -
SiteNumber: string
Maximum Length:
240Target site for social media post. -
SMSText: string
Title:
SMS TextMaximum Length:255SMS text. -
StartDeliveryDate: string
(date-time)
Title:
Initial Delivery DateChannel start date.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : communicateUIQuickCampaigns-audienceDetails-item-response
Type:
Show Source
object-
AddedAudienceCount: integer
Read Only:
trueNumber of audience members added to the campaign. -
AudienceCount: integer
Read Only:
trueTotal number of employees who will see the post. -
AudienceCriteria: string
(byte)
Audience criteria for defining the target audience in a campaign. This attribute specifies the conditions or rules used to filter and select the audience.
-
AudienceExtractionDate: string
(date-time)
Read Only:
trueDate when the audience was extracted. -
AudienceExtractionStatus: string
Maximum Length:
30Indicates the status of audience extraction for the campaign. Valid values are In Progress, Completed, and Failed. Default is In Progress. -
AudienceId: integer
(int64)
Internal identifier for the association between a campaign and its corresponding audience.
-
AudienceSourceId: integer
(int64)
Title:
AudienceInternal identifier for the selected audience list. -
AudienceSourceName: string
Read Only:
trueMaximum Length:255Name of the selected audience list. -
AudienceSourceType: string
Title:
Audience TypeMaximum Length:64Type of audience list. -
CampaignId: integer
(int64)
Internal identifier for the campaign.
-
ColumnMapping: string
(byte)
Mapping of columns for the campaign audience details. This attribute defines how data fields are aligned for processing.
-
CreatedBy: string
Read Only:
trueMaximum Length:64Person who added the audience. -
CreationDate: string
(date-time)
Read Only:
trueDate the audience was added to the campaign. -
CustomTokens: string
(byte)
Custom tokens used in the campaign audience details. These tokens personalize the communication content.
-
Description: string
Maximum Length:
4000Description of the campaign audience details. This field provides additional context or information about the audience targeted in the campaign. -
ExcludedAudienceCount: integer
Read Only:
trueNumber of audience members excluded from the campaign. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate the audience was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the audience. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the audience. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Version number associated with the audience that the user retrieved.
-
RefreshFlag: boolean
Maximum Length:
1Default Value:trueIndicates whether to refresh the audience details. Valid values are true and false. Default is false. -
Status: string
Maximum Length:
30Default Value:ORA_ACTIVEIndicates the current status of the audience details in the campaign. This field reflects whether the audience is active, inactive, or another status defined by the application.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUIQuickCampaigns-boAssociation-item-response
Type:
Show Source
object-
BoAssignedAfterDate: string
(date-time)
Title:
Journey Assigned AfterBusiness object assignment date. -
boAssocItems: array
Campaign Business Object Association Items
Title:
Campaign Business Object Association ItemsThe boAssocItems resource retrieves the items associated with the business object association for a campaign. -
BoGoal: string
Maximum Length:
30Name of the business object goal -
BoType: string
Maximum Length:
30Type of business object association. -
CampaignId: integer
(int64)
Internal identifier for the campaign associated with the business object association.
-
CampBoId: integer
(int64)
Internal identifier for the business object association.
-
CreatedBy: string
Read Only:
trueMaximum Length:64Person who added the business object association. -
CreationDate: string
(date-time)
Read Only:
trueDate when the business object association was added to the campaign. -
ExcludeBoAudFlag: boolean
Maximum Length:
1Exclude business object association audience indicator for the campaign. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the business object association was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the business object association. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the business object association. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Version number associated with the business object association that the user retrieved.
Nested Schema : Campaign Business Object Association Items
Type:
arrayTitle:
Campaign Business Object Association ItemsThe boAssocItems resource retrieves the items associated with the business object association for a campaign.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUIQuickCampaigns-boAssociation-boAssocItems-item-response
Type:
Show Source
object-
BoId: integer
(int64)
Internal identifier for the business object.
-
CampBoId: integer
(int64)
Internal identifier for the business object association.
-
CampBoItemId: integer
(int64)
Internal identifier for the business object association items.
-
CreatedBy: string
Read Only:
trueMaximum Length:64Person who added the business object association items. -
CreationDate: string
(date-time)
Read Only:
trueDate when the business object association items were added to the campaign. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the business object association items were last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the business object association items. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the business object association items. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Version number associated with the business object association items that the user retrieved.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- promoteEntity
-
Promotes a quick campaign entity to enhance visibility or priority within the communication UI. The campaign must be in a valid state for promotion.
- quickAction
-
Creates a quick campaign to facilitate rapid communication with targeted audiences.